# Bluesquare Hooks

This repository contains a collection of git hooks that can be used to enforce code quality and best practices in your Laravel projects.

It automatically installs git hooks.

## Installation

Edit your `composer.json` file to include the following dependency, script and repository:

```
"require": {
    "bluesquare/laravel-hooks": "dev-main"
},
"scripts": {
    "post-autoload-dump": [
        "@php artisan hooks:install --ansi"
    ],
},
"repositories": [
    {
        "type": "vcs",
        "url": "https://git.bluesquare.io/bluesquare/laravel-hooks.git"
    }
]
```

Then run:

```bash
composer update bluesquare/hooks
```
